Bug 680409 (CVE-2011-1022) - CVE-2011-1022 libcgroup: Uncheck origin of NETLINK messages
Summary: CVE-2011-1022 libcgroup: Uncheck origin of NETLINK messages
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1022
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110218,reported=20110224,sou...
Depends On: 680412 680438 680439
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-25 13:27 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 14:00:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0320 normal SHIPPED_LIVE Important: libcgroup security update 2011-03-03 23:17:09 UTC

Description Jan Lieskovsky 2011-02-25 13:27:36 UTC
It was discovered that libcgroup did not properly check
the origin of Netlink messages. A local attacker could
use this flaw to send crafted Netlink messages to the
cgrulesengd daemon, causing it to put processes into one
or more existing control groups, based on the attacker's
choosing, possibly allowing the particular tasks to run
with more resources (memory, CPU, etc.) than originally
intended.


References:
[1] http://sourceforge.net/mailarchive/message.php?msg_id=27102603

CVE Request:
[2] http://www.openwall.com/lists/oss-security/2011/02/25/6

CVE Assignment:
[3] http://www.openwall.com/lists/oss-security/2011/02/25/9

Comment 1 Jan Lieskovsky 2011-02-25 13:29:28 UTC
This issue affects the version of the libcgroup package, as shipped
with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the libcgroup package, as shipped
with Fedora release of 13 and 14.

Please schedule an update.

Comment 2 Jan Lieskovsky 2011-02-25 13:30:20 UTC
Created libcgroup tracking bugs for this issue

Affects: fedora-all [bug 680412]

Comment 6 errata-xmlrpc 2011-03-03 23:17:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0320 https://rhn.redhat.com/errata/RHSA-2011-0320.html


Note You need to log in before you can comment on or make changes to this bug.